%define section free

Summary:        Code Generation Library
Name:           cglib1
Version:        1.0
Release:        1jpp
Epoch:          0
License:        Apache-style Software License
URL:            http://cglib.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        cglib-src-1.0.jar
Source1:        cglib-missing-words.txt
Patch0:         cglib1-ASMBackend.patch
Patch1:         cglib1-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cglib is a powerful, high performance and quality 
Code Generation Library, It is used to extend JAVA 
classes and implements interfaces at runtime.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -T -c -n %{name}
jar -xf %{SOURCE0}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# add missing test input file
cp %{SOURCE1} src/test/net/sf/cglib/words.txt

%patch0
%patch1

%build
export CLASSPATH=$(build-classpath \
ant \
asm/asm \
bcel \
junit)
ant -Dbuild.sysclasspath=first test javadoc jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/cglib-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.TXT
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

# -----------------------------------------------------------------------------

%changelog

* Tue Mar 09 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPackage release
